import java.util.HashMap;

public final class RoutineGraph {
  public final int cmid;
  public final String methodName;
  public final String shortClassName;
  public final String pkgName;
  public final String srcFile;
  public final int optLevel;
    
  public RoutineNode begin;
  public RoutineNode end;
  public HashMap<String, RoutineNode> nodeMap;
  
  public RoutineGraph(int cmid, String methodName, String shortClassName, String pkgName, String srcFile, int optLevel) {
    this.cmid=cmid;
    this.methodName=methodName;
    this.shortClassName=shortClassName;
    this.pkgName=pkgName;
    this.srcFile=srcFile;
    this.optLevel=optLevel;
      
    this.begin=null;
    this.end=null;
    this.nodeMap=new HashMap<String, RoutineNode>();      
  }
}
